Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166488 - Variable formatters - html tags in value column
Variable formatters - html tags in value column
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 13:47 UTC by Filip Zamboj
Modified: 2009-07-15 17:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
variables toString() after NPE is thrown (34.95 KB, image/gif)
2009-06-03 13:51 UTC, Filip Zamboj
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Zamboj 2009-06-03 13:47:45 UTC
Product Version: NetBeans IDE 6.7 RC2 (Build 200906030001)
Java: 1.6.0_13; Java HotSpot(TM) 64-Bit Server VM 11.3-b02

html tags appear in value column in variables view if error needs to be displayed. See attached screenshot.
Comment 1 Filip Zamboj 2009-06-03 13:51:35 UTC
Created attachment 83155 [details]
variables toString() after NPE is thrown
Comment 2 Vojtech Sigler 2009-06-09 09:12:43 UTC
Incorrect info in wiki:

67fixes1-candidate -> 67patch-candidate
Comment 3 Martin Entlicher 2009-06-11 15:20:36 UTC
Fixed in changeset:   134783:41fb1f91b3e7
http://hg.netbeans.org/main/rev/41fb1f91b3e7
Comment 4 Quality Engineering 2009-06-12 09:16:26 UTC
Integrated into 'main-golden', will be available in build *200906120201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/41fb1f91b3e7
User: mentlicher@netbeans.org
Log: #166488 - Do not add further HTML tags over existing HTML tags.
Comment 5 Vojtech Sigler 2009-06-12 09:56:12 UTC
Verified in trunk (Build 200906120201), will mark as verified once it's in 67patch.
Comment 6 Vojtech Sigler 2009-07-02 13:06:40 UTC
Marking as verified, so this can go to 67patch
Comment 7 pgebauer 2009-07-07 12:02:44 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/1e4c94404dfc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo